#ifndef APPlICATION_SETTINGS_H
#define APPlICATION_SETTINGS_H

#include <string>

class CApplicationSettings
{
public:

    CApplicationSettings(const std::string &path, const std::string &appName);
    ~CApplicationSettings();

    std::string readString(const std::string &key, const std::string &defaultValue = "");
    //void writeString()
private:
    
    CApplicationSettings();
    CApplicationSettings(const CApplicationSettings&);
    CApplicationSettings& operator= (const CApplicationSettings&);

private:

    std::string _path;
    std::string _appName;
}; // CApplicationSettings

#endif // APPlICATION_SETTINGS_H