#include "StdAfx.h"
#include "ApplicationSettings.h"

#include <Windows.h>

CApplicationSettings::CApplicationSettings(const std::string &path, const std::string &appName):
    _path(path),
    _appName(appName)
{
}

CApplicationSettings::~CApplicationSettings()
{
}

std::string CApplicationSettings::readString(const std::string &key, const std::string &defaultValue /*= ""*/)
{
    char value[MAX_PATH];
    ::GetPrivateProfileString(_appName.c_str(), key.c_str(), defaultValue.c_str(), value, MAX_PATH, _path.c_str());
    return value;
}